﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using Infragistics.Web.UI.ListControls;

public partial class _Default : System.Web.UI.Page
{
    string sPath = AppDomain.CurrentDomain.BaseDirectory;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            LoadGrid();
        }
    }

    private void LoadGrid()
    {
        DataSet ds = new DataSet();
        ds.ReadXml(sPath + "/Data/data1.xml");

        Payment_SRVC_ledger_Billing_Address_Action_Provider.EditorControl.DataSource = ds;
        Payment_SRVC_ledger_Billing_Address_Action_Provider.EditorControl.ValueField = "ID";
        Payment_SRVC_ledger_Billing_Address_Action_Provider.EditorControl.TextField = "DESCR";
        Payment_SRVC_ledger_Billing_Address_Action_Provider.EditorControl.DataBind();
        Payment_SRVC_ledger_Billing_Address_Action_Provider.EditorControl.Items.Insert(0, new Infragistics.Web.UI.ListControls.DropDownItem("",""));

        ds = new DataSet();
        ds.ReadXml(sPath + "/Data/data2.xml");
        string sEntity_ID = "";

        Payment_Entity_Provider.EditorControl.DataSource = ds;
        Payment_Entity_Provider.EditorControl.ValueField = "ID";
        Payment_Entity_Provider.EditorControl.TextField = "Entity_Name";
        Payment_Entity_Provider.EditorControl.DataBind();

        foreach (DataRow row in ds.Tables[0].Rows)
        {
            sEntity_ID = sEntity_ID == "" ? row["ID"].ToString() : sEntity_ID + "," + row["ID"].ToString();
        }

        ds = new DataSet();
        ds.ReadXml(sPath + "/Data/data3.xml");
        Payment_Entity_Multiple_Address_Provider.EditorControl.DataSource = ds;
        Payment_Entity_Multiple_Address_Provider.EditorControl.ValueField = "ID";
        Payment_Entity_Multiple_Address_Provider.EditorControl.TextField = "ENTITY_ADDRESS";
        Payment_Entity_Multiple_Address_Provider.EditorControl.DataBind();

        ds = new DataSet();
        ds.ReadXml(sPath + "/Data/main.xml");
        UG_AddressforBill.DataSource = ds;
        UG_AddressforBill.DataBind();
    }

    public void EditorControl3_ItemsRequested(object sender, DropDownItemsRequestedEventArgs e)
    {
        DataSet ds = new DataSet();
        ds.ReadXml(sPath + "/Data/data3.xml");
        string sFilter = "ID='" + e.Value + "_Y'";
        ds.Tables[0].DefaultView.RowFilter = sFilter;


        Payment_Entity_Multiple_Address_Provider.EditorControl.DataSource = ds;
        Payment_Entity_Multiple_Address_Provider.EditorControl.ValueField = "ID";
        Payment_Entity_Multiple_Address_Provider.EditorControl.TextField = "ENTITY_ADDRESS";
        Payment_Entity_Multiple_Address_Provider.EditorControl.DataBind();
        Payment_Entity_Multiple_Address_Provider.EditorControl.Items.Insert(0, new Infragistics.Web.UI.ListControls.DropDownItem("", ""));
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        foreach (GridRecord row in UG_AddressforBill.Rows)
        {
            var items = row.Items;
        }
    }
}